> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Update Volume > Partially updates a volume template's configuration including name and size. Only provided fields will be updated. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json patch /apps/{appId}/volumes/{volumeId} openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /apps/{appId}/volumes/{volumeId}: patch: tags: - Volumes summary: Update Volume description: >- Partially updates a volume template's configuration including name and size. Only provided fields will be updated. operationId: UpdateVolume parameters: - name: appId in: path required: true schema: type: string - name: volumeId in: path required: true schema: type: string example: my-data-volume requestBody: content: application/json: schema: $ref: '#/components/schemas/PatchVolumeRequest' text/json: schema: $ref: '#/components/schemas/PatchVolumeRequest' application/*+json: schema: $ref: '#/components/schemas/PatchVolumeRequest' responses: '200': description: Volume was successfully updated. content: application/json: schema: $ref: '#/components/schemas/UpdateVolumeResponse' '400': description: Invalid input. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '404': description: Volume template not found. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: PatchVolumeRequest: type: object properties: name: maxLength: 50 minLength: 1 type: string nullable: true size: maximum: 100 minimum: 1 type: integer format: int32 nullable: true example: 5 additionalProperties: false UpdateVolumeResponse: type: object properties: name: type: string size: type: number format: double example: 5 additionalProperties: false ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.